<script type="text/javascript">
    $(function () {
        //$("select").dashboardCodeBsMultiSelect();

        $('#datetimepicker').datetimepicker({
            format: 'DD-MMM-YYYY',
            defaultDate: new Date(),
            //showClose:true
        });

        // show,hide alert
        let countChkStudent = $('.checkbox').parent().find('label input:checkbox').length;
        (countChkStudent > 0) ? $('.alert-warning').hide() : $('.alert-warning').show();

        let altSuccess = $('.alert-success strong').text();
        (!altSuccess) ? $('.alert-success').hide() : $('.alert-success').show().delay(3000).fadeOut();

        //set value
        console.log($('#club option:selected').val());
        let date = $('#club option:selected').val();
        $('#club').val(date);

        let clubVal;
        $('#club').change(function(){
            clubVal = $("#club option:selected").text()
            console.log($("#club option:selected").text());
        })

        $('#search').click(function(){
            console.log('club >>> ',$("#club option:selected").text());
        })
        $('#search').click(function(){
            console.log($("#club option:selected").val());
        })

        $('#submit').click(function(){
            console.log($('#club').val());
        })

        // checkAll and uncheckAll
        $("#checkAll").click(function(){
            $('input:checkbox').not(this).prop('checked', this.checked);
        });

        $('.filter-option pull-left').html('ROV')
        $('.muted text-muted').html();

        $('dropdown-menu ul li:nth-child(4)').addClass('selected active');
    });

    function checkAll(){
        $('.checkbox').find('input:checkbox').prop('checked',true);
    }
    function uncheckAll(){
        $('.checkbox').find('input:checkbox').prop('checked',false);
    }
</script>
<div class="container">
    <h2>Student Attendance Check</h2>
    <form method="POST">
        <div class="form-group row">
        <div class="col-xs-12 col-sm-12 col-md-12 col-lg-3 col-xl-3">
            <label for="ex1">Club</label>
            <div class='input-group'>
                <select class="selectpicker" multiple data-show-subtext="true" data-live-search="true" title="Please select" name="club" id="club">
                    <!--  <option>All</option> -->
                    <% if(clubname){ %>
                        <% for(i in clubname){%>
                            <% let choice; %>  
                            <% (clubname === club)? choice=selected : choice = null %>    
                            <option data-subtext=<%- clubname[i]["day"] %> <%= choice %>><%- clubname[i]["clubname"] %></option>         
                        <% } %>
                    <% } %>
                </select> 
            </div> 
            <!-- <select class="form-group">
                <% for(i in clubname){%>
                    <% let choice; %>  
                    <% (clubname === dllClubname)? choice=selected : choice = null %>    
                    <option value=<%- clubname[i]["clubname"] %> <%= choice %>><%- clubname[i]["clubname"] %></option>         
                <% } %>                
            </select> -->
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12 col-lg-2 col-xl-2">
            <label for="ex3">Term</label>
            <select class="form-control" name="term">
                <option value="All">All</option>
                <option value="1">1</option>
                <option value="2">2</option>
                <option value="3">3</option>
            </select>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12 col-lg-2 col-xl-2">
            <select name="states" id="example" class="form-control"  multiple="multiple" style="display: none;">
                <option value="AL">Alabama</option>
                <option value="AK">Alaska</option>
                <option value="AZ">Arizona</option>
                <option value="AR">Arkansas</option>
                <option selected value="CA">California</option>
                ...
            </select>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12 col-lg-1 col-xl-1">
            <button class="btn btn-dark" style="margin-top:25px;" name="btnAction" id="search" value="btnSearch">Search</button>
        </div>
    </div>  
    <!-- </form> -->
    <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 col-xl-12">
        <!-- Alert Success --> 
        <div class="alert alert-success">
            <strong><%- altSuccess %></strong>
        </div>   
        <!-- Alert warning -->
        <div class="alert alert-warning" role="alert">
            <strong>Warning!</strong> No Student.
        </div>   
    </div>
    <!-- <form method="POST"> -->
        <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 col-xl-12">
            <!-- Checked checkbox -->
            <% for(i in students){ %>
                <div class="checkbox">
                    <label>
                        <input type="checkbox" name="chkStudent" class="check-with-label" value=<%- students[i]["sid"]%> <%= students[i]["delete_status"] %>>
                        <span class="cr" name="studentName"><i class="cr-icon glyphicon glyphicon-ok"></i></span>
                        <%- students[i]["firstname"]%> <%- students[i]["lastname"]%> 
                        <p class="student_id">
                            <%- students[i]["sid"]%>
                        </p>
                    </label>
                </div>
            <% } %>    
            
        </div>
        <div class="col-xs-pull-12 col-sm-pull-12 col-md-pull-12 col-lg-pull-1 col-xl-pull-1">
            <button class="btn btn-dark" style="margin-top:25px;" name="btnAction" id="submit" value="btnSubmit">Submit</button>
        </div>
    </form>
    <br>
    <div class="col-xs-pull-12 col-sm-pull-12 col-md-pull-12 col-lg-pull-4 col-xl-pull-4">
        <button class="btn btn-dark" onclick="checkAll();">Uncheck All</button>
        <button class="btn btn-dark" onclick="uncheckAll();">Uncheck All</button>
    </div> 

</div>
